package com.njcn.pojo.configuration;

import com.njcn.utils.COverlimit;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 稳态数据限值表
 */
@Table(name = "OVERLIMIT")
public class OverLimit implements Serializable {
    private static final long serialVersionUID = 9122159381838816996L;
    @Id
    @Column(name = "MYINDEX")
    private Long myIndex;//	NUMBER(6)	Not NULL	线路序号
    @Column(name = "FREQ_DEV")
    private float freqDev;//	FLOAT(10)	Not NULL	频率限值
    @Column(name = "VOLTAGE_DEV")
    private float voltageDev;//	FLOAT(10)	Not NULL	电压限值 上偏差
    @Column(name = "UVOLTAGE_DEV")
    private float uvoltageDev;//	FLOAT(10)	Not NULL	电压限值 下偏差
    @Column(name = "UBALANCE")
    private float ubalance;//UBALANCE	FLOAT(10)	Not NULL	电压不平衡限值
    @Column(name = "FLICKER")
    private float flicker;//FLICKER	FLOAT(10)	Not NULL	闪变限值
    @Column(name = "UABERRANCE")
    private float uaberrance;//UABERRANCE	FLOAT(10)	Not NULL	电压畸变限值
    @Column(name = "I_Neg")
    private float iNeg;//UABERRANCE	FLOAT(10)	Not NULL	负序电流限值
    @Column(name = "UHARM_2")
    private float uharm_2;//UHARM_2	FLOAT(10)	Not NULL	2次谐波电压限值
    @Column(name = "UHARM_3")
    private float uharm_3;//	FLOAT(10)	Not NULL	3次谐波电压限值
    @Column(name = "UHARM_4")
    private float uharm_4;//	FLOAT(10)	Not NULL	4次谐波电压限值
    @Column(name = "UHARM_5")
    private float uharm_5;//	FLOAT(10)	Not NULL	5次谐波电压限值
    @Column(name = "UHARM_6")
    private float uharm_6;//	FLOAT(10)	Not NULL	6次谐波电压限值
    @Column(name = "UHARM_7")
    private float uharm_7;//	FLOAT(10)	Not NULL	7次谐波电压限值
    @Column(name = "UHARM_8")
    private float uharm_8;//	FLOAT(10)	Not NULL	8次谐波电压限值
    @Column(name = "UHARM_9")
    private float uharm_9;//	FLOAT(10)	Not NULL	9次谐波电压限值
    @Column(name = "UHARM_10")
    private float uharm_10;//	FLOAT(10)	Not NULL	10次谐波电压限值
    @Column(name = "UHARM_11")
    private float uharm_11;//	FLOAT(10)	Not NULL	11次谐波电压限值
    @Column(name = "UHARM_12")
    private float uharm_12;//	FLOAT(10)	Not NULL	12次谐波电压限值
    @Column(name = "UHARM_13")
    private float uharm_13;//	FLOAT(10)	Not NULL	13次谐波电压限值
    @Column(name = "UHARM_14")
    private float uharm_14;//	FLOAT(10)	Not NULL	14次谐波电压限值
    @Column(name = "UHARM_15")
    private float uharm_15;//	FLOAT(10)	Not NULL	15次谐波电压限值
    @Column(name = "UHARM_16")
    private float uharm_16;//	FLOAT(10)	Not NULL	16次谐波电压限值
    @Column(name = "UHARM_17")
    private float uharm_17;//	FLOAT(10)	Not NULL	17次谐波电压限值
    @Column(name = "UHARM_18")
    private float uharm_18;//	FLOAT(10)	Not NULL	18次谐波电压限值
    @Column(name = "UHARM_19")
    private float uharm_19;//	FLOAT(10)	Not NULL	19次谐波电压限值
    @Column(name = "UHARM_20")
    private float uharm_20;//	FLOAT(10)	Not NULL	20次谐波电压限值
    @Column(name = "UHARM_21")
    private float uharm_21;//	FLOAT(10)	Not NULL	21次谐波电压限值
    @Column(name = "UHARM_22")
    private float uharm_22;//	FLOAT(10)	Not NULL	22次谐波电压限值
    @Column(name = "UHARM_23")
    private float uharm_23;//	FLOAT(10)	Not NULL	23次谐波电压限值
    @Column(name = "UHARM_24")
    private float uharm_24;//	FLOAT(10)	Not NULL	24次谐波电压限值
    @Column(name = "UHARM_25")
    private float uharm_25;//	FLOAT(10)	Not NULL	25次谐波电压限值
    @Column(name = "IHARM_2")
    private float iharm_2;//IHARM_2	FLOAT(10)	Not NULL	2次谐波电流限值
    @Column(name = "IHARM_3")
    private float iharm_3;//	FLOAT(10)	Not NULL	3次谐波电流限值
    @Column(name = "IHARM_4")
    private float iharm_4;//	FLOAT(10)	Not NULL	4次谐波电流限值
    @Column(name = "IHARM_5")
    private float iharm_5;//	FLOAT(10)	Not NULL	5次谐波电流限值
    @Column(name = "IHARM_6")
    private float iharm_6;//	FLOAT(10)	Not NULL	6次谐波电流限值
    @Column(name = "IHARM_7")
    private float iharm_7;//	FLOAT(10)	Not NULL	7次谐波电流限值
    @Column(name = "IHARM_8")
    private float iharm_8;//	FLOAT(10)	Not NULL	8次谐波电流限值
    @Column(name = "IHARM_9")
    private float iharm_9;//	FLOAT(10)	Not NULL	9次谐波电流限值
    @Column(name = "IHARM_10")
    private float iharm_10;//	FLOAT(10)	Not NULL	10次谐波电流限值
    @Column(name = "IHARM_11")
    private float iharm_11;//	FLOAT(10)	Not NULL	11次谐波电流限值
    @Column(name = "IHARM_12")
    private float iharm_12;//	FLOAT(10)	Not NULL	12次谐波电流限值
    @Column(name = "IHARM_13")
    private float iharm_13;//	FLOAT(10)	Not NULL	13次谐波电流限值
    @Column(name = "IHARM_14")
    private float iharm_14;//	FLOAT(10)	Not NULL	14次谐波电流限值
    @Column(name = "IHARM_15")
    private float iharm_15;//	FLOAT(10)	Not NULL	15次谐波电流限值
    @Column(name = "IHARM_16")
    private float iharm_16;//	FLOAT(10)	Not NULL	16次谐波电流限值
    @Column(name = "IHARM_17")
    private float iharm_17;//	FLOAT(10)	Not NULL	17次谐波电流限值
    @Column(name = "IHARM_18")
    private float iharm_18;//	FLOAT(10)	Not NULL	18次谐波电流限值
    @Column(name = "IHARM_19")
    private float iharm_19;//	FLOAT(10)	Not NULL	19次谐波电流限值
    @Column(name = "IHARM_20")
    private float iharm_20;//	FLOAT(10)	Not NULL	20次谐波电流限值
    @Column(name = "IHARM_21")
    private float iharm_21;//	FLOAT(10)	Not NULL	21次谐波电流限值
    @Column(name = "IHARM_22")
    private float iharm_22;//	FLOAT(10)	Not NULL	22次谐波电流限值
    @Column(name = "IHARM_23")
    private float iharm_23;//	FLOAT(10)	Not NULL	23次谐波电流限值
    @Column(name = "IHARM_24")
    private float iharm_24;//	FLOAT(10)	Not NULL	24次谐波电流限值
    @Column(name = "IHARM_25")
    private float iharm_25;//	FLOAT(10)	Not NULL	25次谐波电流限值
    @Column(name = "InUHARM_1")
    private float inUharm_1;//	FLOAT(10)	Not NULL	0.5次间谐波电压限值
    @Column(name = "InUHARM_2")
    private float inUharm_2;//	FLOAT(10)	Not NULL	1.5次间谐波电压限值
    @Column(name = "InUHARM_3")
    private float inUharm_3;//	FLOAT(10)	Not NULL	2.5次间谐波电压限值
    @Column(name = "InUHARM_4")
    private float inUharm_4;//	FLOAT(10)	Not NULL	3.5次间谐波电压限值
    @Column(name = "InUHARM_5")
    private float inUharm_5;//	FLOAT(10)	Not NULL	4.5次间谐波电压限值
    @Column(name = "InUHARM_6")
    private float inUharm_6;//	FLOAT(10)	Not NULL	5.5次间谐波电压限值
    @Column(name = "InUHARM_7")
    private float inUharm_7;//	FLOAT(10)	Not NULL	6.5次间谐波电压限值
    @Column(name = "InUHARM_8")
    private float inUharm_8;//	FLOAT(10)	Not NULL	7.5次间谐波电压限值
    @Column(name = "InUHARM_9")
    private float inUharm_9;//	FLOAT(10)	Not NULL	8.5次间谐波电压限值
    @Column(name = "InUHARM_10")
    private float inUharm_10;//	FLOAT(10)	Not NULL	9.5次间谐波电压限值
    @Column(name = "InUHARM_11")
    private float inUharm_11;//	FLOAT(10)	Not NULL	10.5次间谐波电压限值
    @Column(name = "InUHARM_12")
    private float inUharm_12;//	FLOAT(10)	Not NULL	11.5次间谐波电压限值
    @Column(name = "InUHARM_13")
    private float inUharm_13;//	FLOAT(10)	Not NULL	12.5次间谐波电压限值
    @Column(name = "InUHARM_14")
    private float inUharm_14;//	FLOAT(10)	Not NULL	13.5次间谐波电压限值
    @Column(name = "InUHARM_15")
    private float inUharm_15;//	FLOAT(10)	Not NULL	14.5次间谐波电压限值
    @Column(name = "InUHARM_16")
    private float inUharm_16;//	FLOAT(10)	Not NULL	15.5次间谐波电压限值





    public float getUvoltageDev() {
        return uvoltageDev;
    }

    public void setUvoltageDev(float uvoltageDev) {
        this.uvoltageDev = uvoltageDev;
    }

    public float getiNeg() {
        return iNeg;
    }

    public void setiNeg(float iNeg) {
        this.iNeg = iNeg;
    }

    public float getInUharm_1() {
        return inUharm_1;
    }

    public void setInUharm_1(float inUharm_1) {
        this.inUharm_1 = inUharm_1;
    }

    public float getInUharm_2() {
        return inUharm_2;
    }

    public void setInUharm_2(float inUharm_2) {
        this.inUharm_2 = inUharm_2;
    }

    public float getInUharm_3() {
        return inUharm_3;
    }

    public void setInUharm_3(float inUharm_3) {
        this.inUharm_3 = inUharm_3;
    }

    public float getInUharm_4() {
        return inUharm_4;
    }

    public void setInUharm_4(float inUharm_4) {
        this.inUharm_4 = inUharm_4;
    }

    public float getInUharm_5() {
        return inUharm_5;
    }

    public void setInUharm_5(float inUharm_5) {
        this.inUharm_5 = inUharm_5;
    }

    public float getInUharm_6() {
        return inUharm_6;
    }

    public void setInUharm_6(float inUharm_6) {
        this.inUharm_6 = inUharm_6;
    }

    public float getInUharm_7() {
        return inUharm_7;
    }

    public void setInUharm_7(float inUharm_7) {
        this.inUharm_7 = inUharm_7;
    }

    public float getInUharm_8() {
        return inUharm_8;
    }

    public void setInUharm_8(float inUharm_8) {
        this.inUharm_8 = inUharm_8;
    }

    public float getInUharm_9() {
        return inUharm_9;
    }

    public void setInUharm_9(float inUharm_9) {
        this.inUharm_9 = inUharm_9;
    }

    public float getInUharm_10() {
        return inUharm_10;
    }

    public void setInUharm_10(float inUharm_10) {
        this.inUharm_10 = inUharm_10;
    }

    public float getInUharm_11() {
        return inUharm_11;
    }

    public void setInUharm_11(float inUharm_11) {
        this.inUharm_11 = inUharm_11;
    }

    public float getInUharm_12() {
        return inUharm_12;
    }

    public void setInUharm_12(float inUharm_12) {
        this.inUharm_12 = inUharm_12;
    }

    public float getInUharm_13() {
        return inUharm_13;
    }

    public void setInUharm_13(float inUharm_13) {
        this.inUharm_13 = inUharm_13;
    }

    public float getInUharm_14() {
        return inUharm_14;
    }

    public void setInUharm_14(float inUharm_14) {
        this.inUharm_14 = inUharm_14;
    }

    public float getInUharm_15() {
        return inUharm_15;
    }

    public void setInUharm_15(float inUharm_15) {
        this.inUharm_15 = inUharm_15;
    }

    public float getInUharm_16() {
        return inUharm_16;
    }

    public void setInUharm_16(float inUharm_16) {
        this.inUharm_16 = inUharm_16;
    }

    public Long getMyIndex() {
        return myIndex;
    }

    public void setMyIndex(Long myIndex) {
        this.myIndex = myIndex;
    }

    public float getFreqDev() {
        return freqDev;
    }

    public void setFreqDev(float freqDev) {
        this.freqDev = (float) (Math.round(freqDev * 100)) / 100;
    }

    public float getVoltageDev() {
        return voltageDev;
    }

    public void setVoltageDev(float voltageDev) {
        this.voltageDev = (float) (Math.round(voltageDev * 100)) / 100;
    }

    public float getUbalance() {
        return ubalance;
    }

    public void setUbalance(float ubalance) {
        this.ubalance = (float) (Math.round(ubalance * 100)) / 100;
    }

    public float getFlicker() {
        return flicker;
    }

    public void setFlicker(float flicker) {
        this.flicker = (float) (Math.round(flicker * 100)) / 100;
    }

    public float getUaberrance() {
        return uaberrance;
    }

    public void setUaberrance(float uaberrance) {
        this.uaberrance = (float) (Math.round(uaberrance * 100)) / 100;
    }

    public float getUharm_2() {
        return uharm_2;
    }

    public void setUharm_2(float uharm_2) {
        this.uharm_2 = (float) (Math.round(uharm_2 * 100)) / 100;
    }

    public float getUharm_3() {
        return uharm_3;
    }

    public void setUharm_3(float uharm_3) {
        this.uharm_3 = (float) (Math.round(uharm_3 * 100)) / 100;
    }

    public float getUharm_4() {
        return uharm_4;
    }

    public void setUharm_4(float uharm_4) {
        this.uharm_4 = (float) (Math.round(uharm_4 * 100)) / 100;
    }

    public float getUharm_5() {
        return uharm_5;
    }

    public void setUharm_5(float uharm_5) {
        this.uharm_5 = (float) (Math.round(uharm_5 * 100)) / 100;
    }

    public float getUharm_6() {
        return uharm_6;
    }

    public void setUharm_6(float uharm_6) {
        this.uharm_6 = (float) (Math.round(uharm_6 * 100)) / 100;
    }

    public float getUharm_7() {
        return uharm_7;
    }

    public void setUharm_7(float uharm_7) {
        this.uharm_7 = (float) (Math.round(uharm_7 * 100)) / 100;
    }

    public float getUharm_8() {
        return uharm_8;
    }

    public void setUharm_8(float uharm_8) {
        this.uharm_8 = (float) (Math.round(uharm_8 * 100)) / 100;
    }

    public float getUharm_9() {
        return uharm_9;
    }

    public void setUharm_9(float uharm_9) {
        this.uharm_9 = (float) (Math.round(uharm_9 * 100)) / 100;
    }

    public float getUharm_10() {
        return uharm_10;
    }

    public void setUharm_10(float uharm_10) {
        this.uharm_10 = (float) (Math.round(uharm_10 * 100)) / 100;
    }

    public float getUharm_11() {
        return uharm_11;
    }

    public void setUharm_11(float uharm_11) {
        this.uharm_11 = (float) (Math.round(uharm_11 * 100)) / 100;
    }

    public float getUharm_12() {
        return uharm_12;
    }

    public void setUharm_12(float uharm_12) {
        this.uharm_12 = (float) (Math.round(uharm_12 * 100)) / 100;
    }

    public float getUharm_13() {
        return uharm_13;
    }

    public void setUharm_13(float uharm_13) {
        this.uharm_13 = (float) (Math.round(uharm_13 * 100)) / 100;
    }

    public float getUharm_14() {
        return uharm_14;
    }

    public void setUharm_14(float uharm_14) {
        this.uharm_14 = (float) (Math.round(uharm_14 * 100)) / 100;
    }

    public float getUharm_15() {
        return uharm_15;
    }

    public void setUharm_15(float uharm_15) {
        this.uharm_15 = (float) (Math.round(uharm_15 * 100)) / 100;
    }

    public float getUharm_16() {
        return uharm_16;
    }

    public void setUharm_16(float uharm_16) {
        this.uharm_16 = (float) (Math.round(uharm_16 * 100)) / 100;
    }

    public float getUharm_17() {
        return uharm_17;
    }

    public void setUharm_17(float uharm_17) {
        this.uharm_17 = (float) (Math.round(uharm_17 * 100)) / 100;
    }

    public float getUharm_18() {
        return uharm_18;
    }

    public void setUharm_18(float uharm_18) {
        this.uharm_18 = (float) (Math.round(uharm_18 * 100)) / 100;
    }

    public float getUharm_19() {
        return uharm_19;
    }

    public void setUharm_19(float uharm_19) {
        this.uharm_19 = (float) (Math.round(uharm_19 * 100)) / 100;
    }

    public float getUharm_20() {
        return uharm_20;
    }

    public void setUharm_20(float uharm_20) {
        this.uharm_20 = (float) (Math.round(uharm_20 * 100)) / 100;
    }

    public float getUharm_21() {
        return uharm_21;
    }

    public void setUharm_21(float uharm_21) {
        this.uharm_21 = (float) (Math.round(uharm_21 * 100)) / 100;
    }

    public float getUharm_22() {
        return uharm_22;
    }

    public void setUharm_22(float uharm_22) {
        this.uharm_22 = (float) (Math.round(uharm_22 * 100)) / 100;
    }

    public float getUharm_23() {
        return uharm_23;
    }

    public void setUharm_23(float uharm_23) {
        this.uharm_23 = (float) (Math.round(uharm_23 * 100)) / 100;
    }

    public float getUharm_24() {
        return uharm_24;
    }

    public void setUharm_24(float uharm_24) {
        this.uharm_24 = (float) (Math.round(uharm_24 * 100)) / 100;
    }

    public float getUharm_25() {
        return uharm_25;
    }

    public void setUharm_25(float uharm_25) {
        this.uharm_25 = (float) (Math.round(uharm_25 * 100)) / 100;
    }

    public float getIharm_2() {
        return iharm_2;
    }

    public void setIharm_2(float iharm_2) {
        this.iharm_2 = (float) (Math.round(iharm_2 * 100)) / 100;
    }

    public float getIharm_3() {
        return iharm_3;
    }

    public void setIharm_3(float iharm_3) {
        this.iharm_3 = (float) (Math.round(iharm_3 * 100)) / 100;
    }

    public float getIharm_4() {
        return iharm_4;
    }

    public void setIharm_4(float iharm_4) {
        this.iharm_4 = (float) (Math.round(iharm_4 * 100)) / 100;
    }

    public float getIharm_5() {
        return iharm_5;
    }

    public void setIharm_5(float iharm_5) {
        this.iharm_5 = (float) (Math.round(iharm_5 * 100)) / 100;
    }

    public float getIharm_6() {
        return iharm_6;
    }

    public void setIharm_6(float iharm_6) {
        this.iharm_6 = (float) (Math.round(iharm_6 * 100)) / 100;
    }

    public float getIharm_7() {
        return iharm_7;
    }

    public void setIharm_7(float iharm_7) {
        this.iharm_7 = (float) (Math.round(iharm_7 * 100)) / 100;
    }

    public float getIharm_8() {
        return iharm_8;
    }

    public void setIharm_8(float iharm_8) {
        this.iharm_8 = (float) (Math.round(iharm_8 * 100)) / 100;
    }

    public float getIharm_9() {
        return iharm_9;
    }

    public void setIharm_9(float iharm_9) {
        this.iharm_9 = (float) (Math.round(iharm_9 * 100)) / 100;
    }

    public float getIharm_10() {
        return iharm_10;
    }

    public void setIharm_10(float iharm_10) {
        this.iharm_10 = (float) (Math.round(iharm_10 * 100)) / 100;
    }

    public float getIharm_11() {
        return iharm_11;
    }

    public void setIharm_11(float iharm_11) {
        this.iharm_11 = (float) (Math.round(iharm_11 * 100)) / 100;
    }

    public float getIharm_12() {
        return iharm_12;
    }

    public void setIharm_12(float iharm_12) {
        this.iharm_12 = (float) (Math.round(iharm_12 * 100)) / 100;
    }

    public float getIharm_13() {
        return iharm_13;
    }

    public void setIharm_13(float iharm_13) {
        this.iharm_13 = (float) (Math.round(iharm_13 * 100)) / 100;
    }

    public float getIharm_14() {
        return iharm_14;
    }

    public void setIharm_14(float iharm_14) {
        this.iharm_14 = (float) (Math.round(iharm_14 * 100)) / 100;
    }

    public float getIharm_15() {
        return iharm_15;
    }

    public void setIharm_15(float iharm_15) {
        this.iharm_15 = (float) (Math.round(iharm_15 * 100)) / 100;
    }

    public float getIharm_16() {
        return iharm_16;
    }

    public void setIharm_16(float iharm_16) {
        this.iharm_16 = (float) (Math.round(iharm_16 * 100)) / 100;
    }

    public float getIharm_17() {
        return iharm_17;
    }

    public void setIharm_17(float iharm_17) {
        this.iharm_17 = (float) (Math.round(iharm_17 * 100)) / 100;
    }

    public float getIharm_18() {
        return iharm_18;
    }

    public void setIharm_18(float iharm_18) {
        this.iharm_18 = (float) (Math.round(iharm_18 * 100)) / 100;
    }

    public float getIharm_19() {
        return iharm_19;
    }

    public void setIharm_19(float iharm_19) {
        this.iharm_19 = (float) (Math.round(iharm_19 * 100)) / 100;
    }

    public float getIharm_20() {
        return iharm_20;
    }

    public void setIharm_20(float iharm_20) {
        this.iharm_20 = (float) (Math.round(iharm_20 * 100)) / 100;
    }

    public float getIharm_21() {
        return iharm_21;
    }

    public void setIharm_21(float iharm_21) {
        this.iharm_21 = (float) (Math.round(iharm_21 * 100)) / 100;
    }

    public float getIharm_22() {
        return iharm_22;
    }

    public void setIharm_22(float iharm_22) {
        this.iharm_22 = (float) (Math.round(iharm_22 * 100)) / 100;
    }

    public float getIharm_23() {
        return iharm_23;
    }

    public void setIharm_23(float iharm_23) {
        this.iharm_23 = (float) (Math.round(iharm_23 * 100)) / 100;
    }

    public float getIharm_24() {
        return iharm_24;
    }

    public void setIharm_24(float iharm_24) {
        this.iharm_24 = (float) (Math.round(iharm_24 * 100)) / 100;
    }

    public float getIharm_25() {
        return iharm_25;
    }

    public void setIharm_25(float iharm_25) {
        this.iharm_25 = (float) (Math.round(iharm_25 * 100)) / 100;
    }

    public List<Float> getVHarmList() {
        List<Float> list = new ArrayList<>();
        list.add(new Float(this.uharm_2));
        list.add(new Float(this.uharm_3));
        list.add(new Float(this.uharm_4));
        list.add(new Float(this.uharm_5));
        list.add(new Float(this.uharm_6));
        list.add(new Float(this.uharm_7));
        list.add(new Float(this.uharm_8));
        list.add(new Float(this.uharm_9));
        list.add(new Float(this.uharm_10));
        list.add(new Float(this.uharm_11));
        list.add(new Float(this.uharm_12));
        list.add(new Float(this.uharm_13));
        list.add(new Float(this.uharm_14));
        list.add(new Float(this.uharm_15));
        list.add(new Float(this.uharm_16));
        list.add(new Float(this.uharm_17));
        list.add(new Float(this.uharm_18));
        list.add(new Float(this.uharm_19));
        list.add(new Float(this.uharm_20));
        list.add(new Float(this.uharm_21));
        list.add(new Float(this.uharm_22));
        list.add(new Float(this.uharm_23));
        list.add(new Float(this.uharm_24));
        list.add(new Float(this.uharm_25));

        return list;
    }

    public List<Float> getIHarmList() {
        List<Float> list = new ArrayList<>();
        list.add(new Float(this.iharm_2));
        list.add(new Float(this.iharm_3));
        list.add(new Float(this.iharm_4));
        list.add(new Float(this.iharm_5));
        list.add(new Float(this.iharm_6));
        list.add(new Float(this.iharm_7));
        list.add(new Float(this.iharm_8));
        list.add(new Float(this.iharm_9));
        list.add(new Float(this.iharm_10));
        list.add(new Float(this.iharm_11));
        list.add(new Float(this.iharm_12));
        list.add(new Float(this.iharm_13));
        list.add(new Float(this.iharm_14));
        list.add(new Float(this.iharm_15));
        list.add(new Float(this.iharm_16));
        list.add(new Float(this.iharm_17));
        list.add(new Float(this.iharm_18));
        list.add(new Float(this.iharm_19));
        list.add(new Float(this.iharm_20));
        list.add(new Float(this.iharm_21));
        list.add(new Float(this.iharm_22));
        list.add(new Float(this.iharm_23));
        list.add(new Float(this.iharm_24));
        list.add(new Float(this.iharm_25));

        return list;
    }

    public List<Float> getInHarmList() {
        List<Float> list = new ArrayList<>();
        list.add(new Float(this.inUharm_1));
        list.add(new Float(this.inUharm_2));
        list.add(new Float(this.inUharm_3));
        list.add(new Float(this.inUharm_4));
        list.add(new Float(this.inUharm_5));
        list.add(new Float(this.inUharm_6));
        list.add(new Float(this.inUharm_7));
        list.add(new Float(this.inUharm_8));
        list.add(new Float(this.inUharm_9));
        list.add(new Float(this.inUharm_10));
        list.add(new Float(this.inUharm_11));
        list.add(new Float(this.inUharm_12));
        list.add(new Float(this.inUharm_13));
        list.add(new Float(this.inUharm_14));
        list.add(new Float(this.inUharm_15));
        list.add(new Float(this.inUharm_16));

        return list;
    }


    public void buildUharm(Float resultEven,Float resultOdd){
        this.uharm_2=resultEven;
        this.uharm_4=resultEven;
        this.uharm_6=resultEven;
        this.uharm_8=resultEven;
        this.uharm_10=resultEven;
        this.uharm_12=resultEven;
        this.uharm_14=resultEven;
        this.uharm_16=resultEven;
        this.uharm_18=resultEven;
        this.uharm_20=resultEven;
        this.uharm_22=resultEven;
        this.uharm_24=resultEven;



        this.uharm_3=resultOdd;
        this.uharm_5=resultOdd;
        this.uharm_7=resultOdd;
        this.uharm_9=resultOdd;
        this.uharm_11=resultOdd;
        this.uharm_13=resultOdd;
        this.uharm_15=resultOdd;
        this.uharm_17=resultOdd;
        this.uharm_19=resultOdd;
        this.uharm_21=resultOdd;
        this.uharm_23=resultOdd;
        this.uharm_25=resultOdd;

    }


    public void buildIHarm(Float[] iHarmTem){
        this.iharm_2= iHarmTem[0];
        this.iharm_4= iHarmTem[2];
        this.iharm_6= iHarmTem[4];
        this.iharm_8= iHarmTem[6];
        this.iharm_10= iHarmTem[8];
        this.iharm_12= iHarmTem[10];
        this.iharm_14= iHarmTem[12];
        this.iharm_16= iHarmTem[14];
        this.iharm_18= iHarmTem[16];
        this.iharm_20= iHarmTem[18];
        this.iharm_22= iHarmTem[20];
        this.iharm_24= iHarmTem[22];

        this.iharm_3= iHarmTem[1];
        this.iharm_5= iHarmTem[3];
        this.iharm_7= iHarmTem[5];
        this.iharm_9= iHarmTem[7];
        this.iharm_11= iHarmTem[9];
        this.iharm_13= iHarmTem[11];
        this.iharm_15= iHarmTem[13];
        this.iharm_17= iHarmTem[15];
        this.iharm_19= iHarmTem[17];
        this.iharm_21= iHarmTem[19];
        this.iharm_23= iHarmTem[21];
        this.iharm_25= iHarmTem[23];
    }



    @Override
    public String toString() {
        return "OverLimit{" +
                "myIndex=" + myIndex +
                ", freqDev=" + freqDev +
                ", voltageDev=" + voltageDev +
                ", uvoltageDev=" + uvoltageDev +
                ", ubalance=" + ubalance +
                ", flicker=" + flicker +
                ", uaberrance=" + uaberrance +
                ", iNeg=" + iNeg +
                ", uharm_2=" + uharm_2 +
                ", uharm_3=" + uharm_3 +
                ", uharm_4=" + uharm_4 +
                ", uharm_5=" + uharm_5 +
                ", uharm_6=" + uharm_6 +
                ", uharm_7=" + uharm_7 +
                ", uharm_8=" + uharm_8 +
                ", uharm_9=" + uharm_9 +
                ", uharm_10=" + uharm_10 +
                ", uharm_11=" + uharm_11 +
                ", uharm_12=" + uharm_12 +
                ", uharm_13=" + uharm_13 +
                ", uharm_14=" + uharm_14 +
                ", uharm_15=" + uharm_15 +
                ", uharm_16=" + uharm_16 +
                ", uharm_17=" + uharm_17 +
                ", uharm_18=" + uharm_18 +
                ", uharm_19=" + uharm_19 +
                ", uharm_20=" + uharm_20 +
                ", uharm_21=" + uharm_21 +
                ", uharm_22=" + uharm_22 +
                ", uharm_23=" + uharm_23 +
                ", uharm_24=" + uharm_24 +
                ", uharm_25=" + uharm_25 +
                ", iharm_2=" + iharm_2 +
                ", iharm_3=" + iharm_3 +
                ", iharm_4=" + iharm_4 +
                ", iharm_5=" + iharm_5 +
                ", iharm_6=" + iharm_6 +
                ", iharm_7=" + iharm_7 +
                ", iharm_8=" + iharm_8 +
                ", iharm_9=" + iharm_9 +
                ", iharm_10=" + iharm_10 +
                ", iharm_11=" + iharm_11 +
                ", iharm_12=" + iharm_12 +
                ", iharm_13=" + iharm_13 +
                ", iharm_14=" + iharm_14 +
                ", iharm_15=" + iharm_15 +
                ", iharm_16=" + iharm_16 +
                ", iharm_17=" + iharm_17 +
                ", iharm_18=" + iharm_18 +
                ", iharm_19=" + iharm_19 +
                ", iharm_20=" + iharm_20 +
                ", iharm_21=" + iharm_21 +
                ", iharm_22=" + iharm_22 +
                ", iharm_23=" + iharm_23 +
                ", iharm_24=" + iharm_24 +
                ", iharm_25=" + iharm_25 +
                ", inUharm_1=" + inUharm_1 +
                ", inUharm_2=" + inUharm_2 +
                ", inUharm_3=" + inUharm_3 +
                ", inUharm_4=" + inUharm_4 +
                ", inUharm_5=" + inUharm_5 +
                ", inUharm_6=" + inUharm_6 +
                ", inUharm_7=" + inUharm_7 +
                ", inUharm_8=" + inUharm_8 +
                ", inUharm_9=" + inUharm_9 +
                ", inUharm_10=" + inUharm_10 +
                ", inUharm_11=" + inUharm_11 +
                ", inUharm_12=" + inUharm_12 +
                ", inUharm_13=" + inUharm_13 +
                ", inUharm_14=" + inUharm_14 +
                ", inUharm_15=" + inUharm_15 +
                ", inUharm_16=" + inUharm_16 +
                '}';
    }
}
